:menu
@echo off
cls
echo.
echo Press 1 for Shogun CGA
echo Press 2 for Shogun EGA
echo Press 3 for Shogun MCGA
echo Press 4 to Quit
echo.
choice /C:1234 /N Please Choose:

if errorlevel = 4 goto quit
if errorlevel = 3 goto mcga
if errorlevel = 2 goto ega
if errorlevel = 1 goto cga

:mcga
frotz -d3 shogun.zip
goto quit

:ega
frotz -d4 shogun.zip
goto quit

:cga
frotz -d2 shogun.zip
goto quit

:quit
exit